More in this section

Forums / Developing with Sitefinity / Developing with different version of radcontrols

Developing with different version of radcontrols

2 posts, 0 answered
  1. fregas baratis
    fregas baratis avatar
    185 posts
    Registered:
    14 Nov 2002
    12 May 2008
    Link to this post
    I have a site under Sitefinity 3.0 sp2.  I was trying to use the latest version of the radcontrols but this seems like its not possible.  On the pages section of the admin, i get this error:

    Could not load file or assembly 'RadTabStrip.Net2, Version=3.5.1.0, Culture=neutral, PublicKeyToken=a87324b017ca21ce' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

    Description: An unhandled exception occurred during the execution of the current web request. Please review the stack trace for more information about the error and where it originated in the code.

    Exception Details: System.IO.FileLoadException: Could not load file or assembly 'RadTabStrip.Net2, Version=3.5.1.0, Culture=neutral, PublicKeyToken=a87324b017ca21ce' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)

    Source Error:

    Line 54: 			else
    Line 55: {
    Line 56: this.pageEditor.Select(Guid.Empty);
    Line 57: this.siteMap.SelectedPageID = Guid.Empty;
    Line 58: }

    Source File: c:\Projects\LunaCatalogCraig\Enilon.Luna.Web\Sitefinity\Admin\Pages.aspx.cs    Line: 56

  2. Ivan
    Ivan avatar
    478 posts
    Registered:
    16 Jun 2015
    14 May 2008
    Link to this post
    Hello fregas baratis,

    Unfortunately, you cannot change the controls on your own, since some of our assemblies are built with the reference to the files of older versions. However, you can update to RadControls for AJAX which are in one single assembly (Telerik.Web.UI.dll) and they can coexist with the old RadControls therefore. Sitefinity will still be using the old controls (3.0 at least, we are upgrading to latest service pack of RadControls for AJAX in our Service Pack 2), but you will be able to use new controls in your own projects.

    I hope this clears the situation a bit. Let me know if we can help you in any other way.

    Sincerely yours,
    Ivan
    the Telerik team

    Instantly find answers to your questions at the new Telerik Support Center
2 posts, 0 answered